Vulnerability   
Search   
    Search 219043 CVE descriptions
and 99761 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

CVE ID:CVE-2008-2108
Description:The GENERATE_SEED macro in PHP 4.x before 4.4.8 and 5.x before 5.2.5, when running on 64-bit systems, performs a multiplication that generates a portion of zero bits during conversion due to insufficient precision, which produces 24 bits of entropy and simplifies brute force attacks against protection mechanisms that use the rand and mt_rand functions.
Test IDs: 1.3.6.1.4.1.25623.1.0.61166   1.3.6.1.4.1.25623.1.0.63954   1.3.6.1.4.1.25623.1.0.61167   1.3.6.1.4.1.25623.1.0.122567  
Cross References: Common Vulnerability Exposure (CVE) ID: CVE-2008-2108
Bugtraq: 20080506 Advisory SE-2008-02: PHP GENERATE_SEED() Weak Random Number Seed Vulnerability (Google Search)
http://www.securityfocus.com/archive/1/491683/100/0/threaded
Debian Security Information: DSA-1789 (Google Search)
http://www.debian.org/security/2009/dsa-1789
https://www.redhat.com/archives/fedora-package-announce/2008-June/msg00779.html
https://www.redhat.com/archives/fedora-package-announce/2008-June/msg00773.html
http://archives.neohapsis.com/archives/fulldisclosure/2008-05/0103.html
http://security.gentoo.org/glsa/glsa-200811-05.xml
http://www.mandriva.com/security/advisories?name=MDVSA-2008:125
http://www.mandriva.com/security/advisories?name=MDVSA-2008:126
http://www.mandriva.com/security/advisories?name=MDVSA-2008:127
http://www.mandriva.com/security/advisories?name=MDVSA-2008:128
http://www.mandriva.com/security/advisories?name=MDVSA-2008:129
http://www.mandriva.com/security/advisories?name=MDVSA-2008:130
http://www.sektioneins.de/advisories/SE-2008-02.txt
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10844
RedHat Security Advisories: RHSA-2008:0505
http://www.redhat.com/support/errata/RHSA-2008-0505.html
RedHat Security Advisories: RHSA-2008:0544
http://www.redhat.com/support/errata/RHSA-2008-0544.html
RedHat Security Advisories: RHSA-2008:0545
http://www.redhat.com/support/errata/RHSA-2008-0545.html
RedHat Security Advisories: RHSA-2008:0546
http://www.redhat.com/support/errata/RHSA-2008-0546.html
RedHat Security Advisories: RHSA-2008:0582
http://www.redhat.com/support/errata/RHSA-2008-0582.html
http://secunia.com/advisories/30757
http://secunia.com/advisories/30828
http://secunia.com/advisories/31119
http://secunia.com/advisories/31124
http://secunia.com/advisories/31200
http://secunia.com/advisories/32746
http://secunia.com/advisories/35003
http://securityreason.com/securityalert/3859
http://www.ubuntu.com/usn/usn-628-1
XForce ISS Database: php-generateseed-weak-security(42226)
https://exchange.xforce.ibmcloud.com/vulnerabilities/42226




© 1998-2021 E-Soft Inc. All rights reserved.